html {
    height: 100%;
}

body {
    background: #2b3f3b;
    display: flex;
    margin: 0;
    justify-content: center;
    flex-direction: column;
    height: 100%;
}

.topBar {
    background: #2b3f3b;
    height: 40px;
    display: flex;
    flex-direction: row;
    width: 852px;
    align-self: center;
}

#logo {
    height: 40px;
    margin-left: 5px;
    float:left;
    margin-right: 100px;
}
.topBarButton {
    color: white;
    font-size: 16px;
    font-family: "DejaVu Sans Light";
    background-color: #2b3f3b;
    height: 40px;
    cursor: pointer;
    border: 0;
    padding-right: 20px;
    line-height: 40px;
    text-decoration: none;
}
.topBarButton:hover {
    text-decoration: underline;
}
.searchBar {
    cursor: pointer;
    color: black;
    font-size: 1.1rem;
    margin: 1rem;
    width: 648px;
    user-select: none;
    display: flex;
    justify-content: left;
    align-items: center;
}

.containerGroup {
    width: 100%;
    height: 100%;
    display: flex;
    justify-content:center;
}

.leftSideContainer {
    background-color: #39a768;
    min-width: 175px;
    width: 15%;
    height: 100%;
    float: left;
    display: flex;
    flex: 1 0 auto;
    justify-content: flex-end;
    padding-top: 10px;
}

.middleContainer {
    background-color: #f0ffdd;
    width: 852px;
    display: flex;
    flex-shrink: 0;
    flex-direction: column;
}

.middleContainer .checkboxtext {
    cursor: pointer;
    margin-right: 1rem;
}

.rightSideContainer {
    background-color: rgb(119, 151, 155);
    width: 15%;
    display: flex;
    flex: 1 0 auto;
    overflow: hidden;
}

    .ingredient {
        background: #e7f5d1;
        border: 1px solid #cccccc;
        margin: 3px;
        width: 100px;
        text-align: center;
        cursor: pointer;
        float:left;
        font-family: Dubai;
        text-overflow: ellipsis;
        white-space: nowrap;
        overflow: hidden;
        user-select: none;
        border-radius: 2px;
        box-shadow: 0 4px 4px 0 rgba(0,0,0,0.2), 0 6px 20px 0 rgba(0,0,0,0.19);
    }

    .ingredient:hover {
        background-color: #C1D2C1;
    }

    .closeButton {
        position: absolute;
        top: 1vh;
        right: 1vw;
        background: transparent;
        width: 20px;
        height: 20px;
        color: white;
        font-size: 36px;
        text-align: center;
        display: flex;
        align-items: center;
        cursor: pointer;
    }

    #knife {
        top: 120px;
        left: 1000px;
        width: 140px;
        transition-duration: 3s;
        transform: rotate(0deg);
    }

    #knife:hover {
        transform: rotate(180deg);
    }

    .allergenDialog {
        position: absolute;
        left: 750px;
        top: 270px;
        height: 50vh;
        width: 20%;
        opacity: 0.9;
        background-color: #222;
        color: white;
        display: none;
        padding-top: 30px;
    }

    .allergenDialog.visible {
        display: block;
    }

    .recipeDialog {
        position: absolute;
        left: 0;
        top: 40px;
        height: 50vh;
        width: 100%;
        opacity: 0.95;
        background-color: #222;
        color: #e7e7e7;
        display: none;
        min-height: 100%;
    }

    .recipeDialog.visible {
        display: block;
        background-color: #C1D2C1;
    }

    .foundRecipesCount {
        display: inline-block;
    }

.selectedIngredientsBox {
    border-color: #e7e7e7;
    border-style: dashed;
    border-width: 1px 0 0 1px;
    margin-left: 12rem;
}

.selectedIngredientsBox legend {
    white-space: nowrap
}
    .recipesTilesContainer {
        width: 770px;
        margin: 20px auto;
        color: #333;
    }

    .recipesTilesContainer .recipesTitle {
        margin: 1rem;
    }

    .recipesTilesContainer .controls {
        position: relative;
        height: 20px;
        display: flex;
        margin: 0 1rem;
    }

    .recipesTilesContainer .controls img {
        margin-left: 10px;
    }

    .recipesTilesContainer .scrollLeft {
        border-radius: 2px 0 0 2px;
        display: flex;
        width: 40px;
        height: 100%;
        background: #cccccc;
        user-select: none;
    }

    .recipesTilesContainer .scrollLeft.disabled,
    .recipesTilesContainer .scrollRight.disabled {
        background: #555555;
        pointer-events: none;
    }

    .recipesTilesContainer .scrollLeft:not(.disabled):hover,
    .recipesTilesContainer .scrollRight:not(.disabled):hover {
        background: #e0efcd;
        cursor: pointer;
    }

    .recipesTilesContainer .foundRecipesCount {
        display: flex;
        width: 20rem;
        height: 100%;
        justify-content: center;
    }

    .recipesTilesContainer .scrollRight {
        border-radius: 0 2px 2px 0;
        display: flex;
        width: 40px;
        height: 100%;
        background: #cccccc;
        user-select: none;
    }

    .recipesTilesContainer .recipesTiles {
        display: flex;
        flex-flow: wrap;
        border-width: 1px 0;
        border-style: solid;
        border-color: #cccccc;
    }

    .recipesTilesContainer .recipesTiles .noRecipesInfo {
        margin: 1rem;
        font-size: 1.1rem;
    }

    .recipeTile {
        border-width: 0 1px 1px 0;
        border-color: #555555;
        border-style: solid;
        display: flex;
        width: 180px;
        padding: 5px;
        height: 80px;
    }

    .recipeTile.lastColumn {
        border-width: 0 0 1px 0;
    }

    .recipeTile.lastRow {
        border-width: 0 1px 0 0;
    }

    .recipeTile.lastColumn.lastRow {
        border-width: 0;
    }

    .recipeTile:hover {
        background: #e0efcd;
        cursor: pointer;
    }

    .recipeTile img {
        width: 80px;
        height: 80px;
        border-radius: 2px;
        margin-right: 4px;
        min-width: 80px;
    }

    .recipeTile .details {
        display: flex;
        flex-direction: column;
    }

    .recipeTile .details .name {
        display: flex;
    }

    .recipeTile .details .ingredients {
        list-style: none;
        font-size: 11px;
    }

    .recipeContent {
        display: flex;
        justify-content: center;
    }

    .recipeContainer {
        color: #efefef;
        width: 772px;
        display: flex;
        flex-direction: column;
        padding: 10px;
        border-width: 0 1px 0 1px;
        border-style: solid;
        border-color: #000000;
        background: #050505;
        user-select: none;
    }

    .recipeContainer .header {
        display: flex;
        flex-direction: row;
        position: relative;
    }

    .recipeContainer .header .thumbnailContainer {
        display: flex;
        width: 250px;
        height: 250px;
        border-radius: 3px;
    }

    .recipeContainer .header img {
        display: flex;
        width: 250px;
        height: 250px;
        border-radius: 3px;
    }

    .recipeContainer .header .title {
        text-align: center;
        display: flex;
        width: 630px;
        font-size: 36px;
        align-self: normal;
        justify-content: center;
    }

    .recipeContainer .header .arrow {
        display: flex;
        line-height: 80px;
        width: 60px;
        font-size: 60px;
        justify-content: center;
        height: 60px;
        align-self: center;
        align-items: center;
        background: black;
        text-align: center;
        border: 1px solid gray;
        border-radius: 2px;
        cursor: pointer;
        margin: 5px;
    }

    .recipeContainer .header .arrow:hover:not(.disabled) {
        box-shadow: 0 0 5px gray;
    }

    .recipeContainer .header .arrow:active:not(.disabled) {
        background: #111111;
        box-shadow: 0 0 10px whitesmoke inset;
    }

    .recipeContainer .header .arrow.disabled {
        color: #333333;
        border-color: #333333;
        cursor: default;
    }

    .recipeContainer .ingredients {
        display: flex;
        flex-direction: column;
        font-size: 18px;
    }

    .recipeContainer .nutrients {
        display: flex;
        flex-direction: column;
        font-size: 18px;
    }

    .recipeContainer .arrows {
        background-color: #cccccc;
        height: 20px;
        display: flex;
        flex-direction: row;
        width: 140px;
        border-radius: 2px;
    }

    .recipeContainer .arrows .arrowLeft.disabled,
    .recipeContainer .arrows .arrowRight.disabled {
        background-color: #555555;
        cursor: default;
    }

    .recipeContainer .arrows .arrowLeft:active:not(.disabled),
    .recipeContainer .arrows .arrowRight:active:not(.disabled) {
        background-color: #f5f5f5;
    }

    .recipeContainer .arrows .arrowLeft:hover:not(.disabled),
    .recipeContainer .arrows .arrowRight:hover:not(.disabled) {
        background-color: #dedede;
    }

    .recipeContainer .arrows .arrowLeft {
        cursor: pointer;
        height: 100%;
        border-radius: 2px 0 0 2px;
        background: url("./chevron_left.png");
        display: flex;
        width: 20px;
        background-size: 20px 20px;
        background-repeat: no-repeat;
    }

    .recipeContainer .arrows .servingsCount {
        height: 100%;
        display: flex;
        padding-left: 5px;
        color: #111;
        text-align: left;
        justify-content: center;
        width: 110px;
    }

    .recipeContainer .arrows .arrowRight {
        cursor: pointer;
        height: 100%;
        border-radius: 0 2px 2px 0;
        background: url("./chevron_right.png");
        display: flex;
        width: 20px;
        background-size: 20px 20px;
        background-repeat: no-repeat;
    }

/* loader --> */
.loaderContainer {
    position: relative;
}
.loader,
.loader:after {
    border-radius: 50%;
    width: 3em;
    height: 3em;
}
.loader {
    margin: 10px auto;
    font-size: 10px;
    position: absolute;
    border-top: 1.1em solid rgba(255, 255, 255, 0.2);
    border-right: 1.1em solid rgba(255, 255, 255, 0.2);
    border-bottom: 1.1em solid rgba(255, 255, 255, 0.2);
    border-left: 1.1em solid #ffffff;
    transform: translateZ(0);
    animation: loaderKeyframes 1.1s infinite linear;
}

@keyframes loaderKeyframes {
    0% {
        -webkit-transform: rotate(0deg);
        transform: rotate(0deg);
    }
    100% {
        -webkit-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}
/* <-- loader */

/* auto complete input --> */
.autoCompleteInput {
    position: relative;
    display: inline-block;
    margin-right: 1rem;
    font-size: 1.1rem;
}

.autoCompleteInput .textInput {
    height: 1.5rem;
    width: 10rem;
    font-size: 1.1rem;
}

.autoCompleteInput .list {
    background: #e7e7e7;
    display: none;
    padding: 0;
    position: absolute;
    top: 2rem;
    left: 0;
    border: 1px solid gray;
    width: 10rem;
    list-style-type: none;
    margin: 0;
}

.autoCompleteInput .list.visible {
    display: block;
}

.autoCompleteInput .list .item.focused,
.autoCompleteInput .list .item:hover {
    font-size: 1.1rem;
    background: #C1D2C1;
    cursor: pointer;
}
/* <-- auto complete input */
